Re: [OMPI packagers] Open MPI packagers email list

2018-07-11 Thread Alastair McKinstry

Hi Jeff

Whats the relationship between OpenMPI and the PMIX 3.0.0 release  ?

Are they compatible ?

regards

Alastair



On 10/07/2018 23:19, Jeff Squyres (jsquyres) wrote:

Yo Alastair --

Would you mind joining the Open MPI packagers email list?  It's very low volume:

 https://lists.open-mpi.org/mailman/listinfo/ompi-packagers

As part of our attempt to provide better communications to our downstream 
packagers, we just sent out a note about the upcoming v4.0.0:

 
https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg2.html

And there was one previous to this, too:

 
https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg1.html



--
Alastair McKinstry, , , 
https://diaspora.sceal.ie/u/amckinstry
Commander Vimes didn’t like the phrase “The innocent have nothing to fear,”
 believing the innocent had everything to fear, mostly from the guilty but in 
the longer term
 even more from those who say things like “The innocent have nothing to fear.”
 - T. Pratchett, Snuff

___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers


[OMPI packagers] Shift focus to external libevent, hwloc, pmix

2018-07-11 Thread Alastair McKinstry

Hi,

For the v4.0 release, is it expected that the major library version will 
change again ?


i.e. from so.40 currently on most libraries to so.50 ?

If so, this will involve another transition on Debian/Ubuntu.

Also, I'd like to revisit the Symbol versioning feature 
(https://github.com/open-mpi/ompi/issues/1956).


This was closed due to lack of followup on my part at the time (sorry 
about that). AFAIK the problem is making my gcc patch work on other 
compilers; is this the case, and if it was reopened what compilers 
should be targetted ?



regards
Alastair

--
Alastair McKinstry, , , 
https://diaspora.sceal.ie/u/amckinstry
Misentropy: doubting that the Universe is becoming more disordered.

___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers


Re: [OMPI packagers] Shift focus to external libevent, hwloc, pmix

2018-07-11 Thread Geoffrey Paulsen
I am HOPING it won't, but we have not done the analysis yet to determine if it's safe to NOT rev the .so version.  Best to assume it WILL rev.We should know more before the end of the month.
---Geoffrey PaulsenSoftware Engineer, IBM Spectrum MPIPhone: 720-349-2832Email: gpaul...@us.ibm.comwww.ibm.com
 
 
- Original message -From: "Jeff Squyres (jsquyres)" To: Packagers for the Open MPI software Cc: Geoff Paulsen , Howard Pritchard Subject: Re: [OMPI packagers] Shift focus to external libevent, hwloc, pmixDate: Wed, Jul 11, 2018 10:59 AM 
On Jul 11, 2018, at 3:56 AM, Alastair McKinstry  wrote:>> For the v4.0 release, is it expected that the major library version will change again ?>> i.e. from so.40 currently on most libraries to so.50 ?I *believe* we have some incompatibilities coming, but I don't remember for sure.Geoff / Howard: can you comment?--Jeff Squyresjsquy...@cisco.com 
 

___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers


Re: [OMPI packagers] Open MPI packagers email list

2018-07-11 Thread r...@open-mpi.org
Okay, let me be more precise:

OMPI v4.0 will be compatible with any PMIx >= v2.1. It will ship with PMIx v3.0 
in it

OMPI v3.x is compatible with any PMIx >= v2.1. It ships with PMIx v2.1.x in it

OMPI v2.x is compatible with PMIx = 1.x. It ships with PMIx v1.2.x in it. It is 
_not_ compatible with PMIx v2 to the best of my knowledge

Ralph


> On Jul 11, 2018, at 9:04 AM, Jeff Squyres (jsquyres)  
> wrote:
> 
> Ralph: do you mean to say "Open MPI v4.0.x will be compatible with any PMIx 
> >= v3.0.0"?
> 
> 
>> On Jul 11, 2018, at 12:02 PM, r...@open-mpi.org wrote:
>> 
>> Yes - with any OMPI of v3.x and above
>> 
>>> On Jul 11, 2018, at 3:41 AM, Alastair McKinstry 
>>>  wrote:
>>> 
>>> Hi Jeff
>>> 
>>> Whats the relationship between OpenMPI and the PMIX 3.0.0 release  ?
>>> 
>>> Are they compatible ?
>>> 
>>> regards
>>> 
>>> Alastair
>>> 
>>> 
>>> 
>>> On 10/07/2018 23:19, Jeff Squyres (jsquyres) wrote:
 Yo Alastair --
 
 Would you mind joining the Open MPI packagers email list?  It's very low 
 volume:
 
https://lists.open-mpi.org/mailman/listinfo/ompi-packagers
 
 As part of our attempt to provide better communications to our downstream 
 packagers, we just sent out a note about the upcoming v4.0.0:
 

 https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg2.html
 
 And there was one previous to this, too:
 

 https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg1.html
 
>>> 
>>> -- 
>>> Alastair McKinstry, , , 
>>> https://diaspora.sceal.ie/u/amckinstry
>>> Commander Vimes didn’t like the phrase “The innocent have nothing to fear,”
>>> believing the innocent had everything to fear, mostly from the guilty but 
>>> in the longer term
>>> even more from those who say things like “The innocent have nothing to 
>>> fear.”
>>> - T. Pratchett, Snuff
>>> 
>>> ___
>>> ompi-packagers mailing list
>>> ompi-packagers@lists.open-mpi.org
>>> https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers
>> 
> 
> 
> -- 
> Jeff Squyres
> jsquy...@cisco.com 
___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers


Re: [OMPI packagers] Open MPI packagers email list

2018-07-11 Thread Alastair McKinstry

I'm seeing errors of the form:

===
build: OK
[runner-103358cc-project-28133-concurrent-0:04241] PMIX-XFER-VALUE: UNSUPPORTED 
TYPE 28016
[runner-103358cc-project-28133-concurrent-0:04241] PMIX ERROR: ERROR in file 
../../../src/server/pmix_server.c at line 332
ERROR: Job failed: exit code 1
===

that i'm trying to debug (OMPI 3.1.1, PMIX 3.0.0)

regards
Alastair


On 11/07/2018 17:04, Jeff Squyres (jsquyres) wrote:

Ralph: do you mean to say "Open MPI v4.0.x will be compatible with any PMIx >= 
v3.0.0"?



On Jul 11, 2018, at 12:02 PM, r...@open-mpi.org wrote:

Yes - with any OMPI of v3.x and above


On Jul 11, 2018, at 3:41 AM, Alastair McKinstry  
wrote:

Hi Jeff

Whats the relationship between OpenMPI and the PMIX 3.0.0 release  ?

Are they compatible ?

regards

Alastair



On 10/07/2018 23:19, Jeff Squyres (jsquyres) wrote:

Yo Alastair --

Would you mind joining the Open MPI packagers email list?  It's very low volume:

 https://lists.open-mpi.org/mailman/listinfo/ompi-packagers

As part of our attempt to provide better communications to our downstream 
packagers, we just sent out a note about the upcoming v4.0.0:

 
https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg2.html

And there was one previous to this, too:

 
https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg1.html


--
Alastair McKinstry, , , 
https://diaspora.sceal.ie/u/amckinstry
Commander Vimes didn’t like the phrase “The innocent have nothing to fear,”
believing the innocent had everything to fear, mostly from the guilty but in 
the longer term
even more from those who say things like “The innocent have nothing to fear.”
- T. Pratchett, Snuff

___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers




--
Alastair McKinstry, , , 
https://diaspora.sceal.ie/u/amckinstry
Commander Vimes didn’t like the phrase “The innocent have nothing to fear,”
 believing the innocent had everything to fear, mostly from the guilty but in 
the longer term
 even more from those who say things like “The innocent have nothing to fear.”
 - T. Pratchett, Snuff

___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers


Re: [OMPI packagers] Open MPI packagers email list

2018-07-11 Thread Jeff Squyres (jsquyres) via ompi-packagers
Ralph: do you mean to say "Open MPI v4.0.x will be compatible with any PMIx >= 
v3.0.0"?


> On Jul 11, 2018, at 12:02 PM, r...@open-mpi.org wrote:
> 
> Yes - with any OMPI of v3.x and above
> 
>> On Jul 11, 2018, at 3:41 AM, Alastair McKinstry 
>>  wrote:
>> 
>> Hi Jeff
>> 
>> Whats the relationship between OpenMPI and the PMIX 3.0.0 release  ?
>> 
>> Are they compatible ?
>> 
>> regards
>> 
>> Alastair
>> 
>> 
>> 
>> On 10/07/2018 23:19, Jeff Squyres (jsquyres) wrote:
>>> Yo Alastair --
>>> 
>>> Would you mind joining the Open MPI packagers email list?  It's very low 
>>> volume:
>>> 
>>> https://lists.open-mpi.org/mailman/listinfo/ompi-packagers
>>> 
>>> As part of our attempt to provide better communications to our downstream 
>>> packagers, we just sent out a note about the upcoming v4.0.0:
>>> 
>>> 
>>> https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg2.html
>>> 
>>> And there was one previous to this, too:
>>> 
>>> 
>>> https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg1.html
>>> 
>> 
>> -- 
>> Alastair McKinstry, , , 
>> https://diaspora.sceal.ie/u/amckinstry
>> Commander Vimes didn’t like the phrase “The innocent have nothing to fear,”
>> believing the innocent had everything to fear, mostly from the guilty but in 
>> the longer term
>> even more from those who say things like “The innocent have nothing to fear.”
>> - T. Pratchett, Snuff
>> 
>> ___
>> ompi-packagers mailing list
>> ompi-packagers@lists.open-mpi.org
>> https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers
> 


-- 
Jeff Squyres
jsquy...@cisco.com

___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers


Re: [OMPI packagers] Open MPI packagers email list

2018-07-11 Thread r...@open-mpi.org
Yes - with any OMPI of v3.x and above

> On Jul 11, 2018, at 3:41 AM, Alastair McKinstry  
> wrote:
> 
> Hi Jeff
> 
> Whats the relationship between OpenMPI and the PMIX 3.0.0 release  ?
> 
> Are they compatible ?
> 
> regards
> 
> Alastair
> 
> 
> 
> On 10/07/2018 23:19, Jeff Squyres (jsquyres) wrote:
>> Yo Alastair --
>> 
>> Would you mind joining the Open MPI packagers email list?  It's very low 
>> volume:
>> 
>> https://lists.open-mpi.org/mailman/listinfo/ompi-packagers
>> 
>> As part of our attempt to provide better communications to our downstream 
>> packagers, we just sent out a note about the upcoming v4.0.0:
>> 
>> 
>> https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg2.html
>> 
>> And there was one previous to this, too:
>> 
>> 
>> https://www.mail-archive.com/ompi-packagers@lists.open-mpi.org/msg1.html
>> 
> 
> -- 
> Alastair McKinstry, mailto:alast...@sceal.ie>>, 
> mailto:mckins...@debian.org>>, 
> https://diaspora.sceal.ie/u/amckinstry 
> 
> Commander Vimes didn’t like the phrase “The innocent have nothing to fear,”
> believing the innocent had everything to fear, mostly from the guilty but in 
> the longer term
> even more from those who say things like “The innocent have nothing to fear.”
> - T. Pratchett, Snuff
> 
> ___
> ompi-packagers mailing list
> ompi-packagers@lists.open-mpi.org 
> https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers 
> 
___
ompi-packagers mailing list
ompi-packagers@lists.open-mpi.org
https://rfd.newmexicoconsortium.org/mailman/listinfo/ompi-packagers